summaryrefslogtreecommitdiffstats
path: root/.local/bin/remapd
diff options
context:
space:
mode:
authorLuke Smith <luke@lukesmith.xyz>2023-02-09 09:50:36 -0500
committerLuke Smith <luke@lukesmith.xyz>2023-02-09 09:50:36 -0500
commit505d86c8483fe4ca45fd0dce381129b112728dac (patch)
tree209bc599329a3965aa5b9e980e9a2d500e614c6e /.local/bin/remapd
parent0567be0efef1af5952764b07c7d20c6463c30a75 (diff)
parentec1914e0b96c7b85be2197289e45852f08b95579 (diff)
downloadeibhear-505d86c8483fe4ca45fd0dce381129b112728dac.tar.gz
eibhear-505d86c8483fe4ca45fd0dce381129b112728dac.tar.zst
eibhear-505d86c8483fe4ca45fd0dce381129b112728dac.zip
Merge branch 'patch-1' of https://github.com/ssnailed/voidrice into ssnailed-patch-1
Diffstat (limited to '.local/bin/remapd')
-rwxr-xr-x.local/bin/remapd2
1 files changed, 1 insertions, 1 deletions
diff --git a/.local/bin/remapd b/.local/bin/remapd
index f2edb4f..2d87eae 100755
--- a/.local/bin/remapd
+++ b/.local/bin/remapd
@@ -2,7 +2,7 @@
# Rerun the remaps script whenever a new input device is added.
-trap "rm -f /tmp/udev_pipe" HUP INT QUIT ILL TRAP BUS TERM
+trap "rm -f /tmp/udev_pipe; exit" HUP INT QUIT ILL TRAP BUS TERM
mkfifo -m 600 /tmp/udev_pipe
udevadm monitor -u -t seat -s input -s usb >>/tmp/udev_pipe &
while :; do